org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

## Class GetTaskAttemptReportRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskAttemptReportRequestProto>
  - - org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskAttemptReportRequestPBImpl

- All Implemented Interfaces:
    GetTaskAttemptReportRequest

      public class GetTaskAttemptReportRequestPBImpl
      extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskAttemptReportRequestProto>
      implements GetTaskAttemptReportRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskAttemptReportRequestPBImpl()`
    `GetTaskAttemptReportRequestPBImpl(MRServiceProtos.GetTaskAttemptReportRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MRServiceProtos.GetTaskAttemptReportRequestProto` | `getProto()`
    `TaskAttemptId` | `getTaskAttemptId()`
    `void` | `setTaskAttemptId(TaskAttemptId taskAttemptId)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

      `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskAttemptReportRequestPBImpl

          public GetTaskAttemptReportRequestPBImpl()

    - #### GetTaskAttemptReportRequestPBImpl

          public GetTaskAttemptReportRequestPBImpl(MRServiceProtos.GetTaskAttemptReportRequestProto proto)

  - ### Method Detail

    - #### getProto

          public MRServiceProtos.GetTaskAttemptReportRequestProto getProto()

      Specified by:
        `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetTaskAttemptReportRequestProto>`

    - #### getTaskAttemptId

          public TaskAttemptId getTaskAttemptId()

      Specified by:
        `getTaskAttemptId` in interface `GetTaskAttemptReportRequest`

    - #### setTaskAttemptId

          public void setTaskAttemptId(TaskAttemptId taskAttemptId)

      Specified by:
        `setTaskAttemptId` in interface `GetTaskAttemptReportRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.